body,
html {
  margin: 0 auto;
  padding: 0;
  border: none;
  font-family: "Inter", sans-serif;

  color: #fff;
}
body {
  background-color: #000;
  background-image: url("../../images/KSA_PlayGamesouq/bg.png");
  background-size: cover;
  background-repeat: no-repeat;
  height: 100vh;
}
.wrap {
  text-align: center;
  max-width: 500px;
  margin: 0 auto;
}
.bg {
  overflow: hidden;
  position: relative;
}
.bg_img {
  position: absolute;
  z-index: 0;
  left: 0;
  right: 0;
  top: 0;
  min-height: 100%;
  display: flex;
  justify-content: center;
  align-items: flex-end;
}
.bg_img img {
  position: absolute;
  object-fit: cover;
  min-height: 100%;
  width: auto;
  min-width: 100%;
}
header {
  width: 100%;
  max-width: 400px;
  height: 50px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0px auto;
  padding: 0 20px;
  box-sizing: border-box;
  gap: 0.5rem;
}
.right-header {
  display: flex;
  gap: 5px;
  align-items: center;
}
input.toggle ~ div {
  height: 0;
  margin: 0.2rem;
  overflow: hidden;
  transition: 0.6s cubic-bezier(0.73, -0.485, 0.145, 1.62);
}
input.toggle:checked ~ div {
  height: 230px;
}
.hidden,
.logo.active .closed,
input.toggle {
  display: none;
}
.toggle {
  width: 25px;
  height: 25px;
  background: url("../../images/KSA_PlayGamesouq/toggle-white.png") center/25px no-repeat;
  z-index: 20;
}
.toggle.active {
  background: url("../../images/KSA_PlayGamesouq/toggle-active.png") center/25px no-repeat;
  position: relative;
}
.navigation {
  position: fixed;
  left: 100%;
  width: 100%;
  background-color: #131313;
  z-index: 15;
}
.modal,
.navigation.active {
  left: 0;
  top: 0;
}
.navigation ul {
  list-style-type: none;
  padding-left: 0;
  padding-top: 100px;
  padding-bottom: 60px;
  margin: 0;
}

.navigation li {
  padding: 10px 0;
}

.navigation a {
  color: #fff;
}
.logo {
  width: auto;
  height: 30px;
}
.language_selector > a {
  text-align: center;
  font-weight: 600;
  text-decoration: none;
  border-radius: 3px;
}
.language img {
  display: flex;
  height: 20px;
}
h1,
h2,
h3,
h4,
h5,
h6,
p {
  color: #fff;
  line-height: 1.3;
  font-weight: 400;
}
h1 {
  font-size: 24px;
  font-weight: 600;
  margin: 20px 0;
  color: #fff;
}

h1 span {
  color: #9f5bbc;
}
h1.arab {
  font-size: 30px;
  margin: 0 9px 0 0;
}
.thx {
  margin-top: 25px;
  font-weight: 700;
}
h2 {
  font-size: 18px;
  margin: 10px auto;
}
h2.arab {
  font-size: 22px;
}
h4 {
  font-size: 14px;
  margin: 0 auto;
}
h4.arab {
  font-size: 14px;
}
.title {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 300px;
  margin: 0 auto 30px;
  position: relative;
  z-index: 3;
}
.main_img {
  position: relative;
  margin: 0 auto;
}
.main_img img {
  position: relative;
  z-index: 1;
  width: 100%;
}
.fire {
  font-size: 20px;
  filter: blur(0.02em);
  -webkit-filter: blur(0.02em);
  position: absolute;
  z-index: 0;
  width: 500px;
  height: 30px;
  left: 0;
  right: 0;
  margin: auto;
  bottom: -10px;
  opacity: 0.9;
}
.content {
  max-width: 400px;
  width: 95%;
  padding-top: 20px;
  margin: 0 auto;
  display: block;
  position: relative;
}
#msisdn,
#pin,
#email,
input {
  box-sizing: border-box;
  color: #323232;
  font-size: 18px;
  padding: 10px 20px;
  padding-left: 50px;
  font-family: "Inter", sans-serif;
  width: 260px;
  border: none;
  border-radius: 3px;
  text-align: left;
  box-shadow: 0 1px 1px 2px #26262614;
  margin-top: 8px;
  letter-spacing: 0px;
  background: url("../../images/KSA_PlayGamesouq/bg-input.png") 10px 6px/30px no-repeat #fff;
}
#pin {
  background: url("../../images/KSA_PlayGamesouq/padlock.png") 10px 6px/28px no-repeat #fff;
}
#email {
  background: url("../../images/KSA_PlayGamesouq/email.png") 10px 6px/30px no-repeat #fff;
}
input:focus,
input:focus-within {
  border: none;
  outline: 0;
}
input::placeholder {
  font-size: 18px;
  color: #969696;
}
select#carrier {
  width: 140px;
  border: none;
  border-radius: 3px;
  text-align: center;
  box-shadow: 0 1px 1px 2px #26262614;
  margin-top: 8px;
  font-size: 14px;
  padding: 8px;
  font-family: "Inter", sans-serif;
}
.selector {
  margin-bottom: 8px;
}
.btn {
  display: block;
  box-sizing: border-box;
  width: 260px;
  padding: 15px 20px;
  background: #00c86e;
  border: none;
  color: #fff;
  letter-spacing: 1px;
  font-size: 26px;
  font-weight: 700;
  margin: 15px auto 10px;
  border-radius: 10px;
  font-family: "Inter", sans-serif;
  text-transform: uppercase;
}
.btn.arab {
  font-size: 22px;
  padding: 10px 50px;
}
.tariff {
  font-size: 10px;
  margin: 20px auto 0;
  color: #6c638d;
}
.tariff.arab {
  font-size: 13px;
}
footer {
  width: 100%;
  padding: 20px 0;
  width: 90%;
  max-width: 300px;
  margin: 0 auto;
}
.footer p {
  font-size: 10px;
  line-height: 12px;
  text-align: justify;
  color: #6c638d;
  text-align-last: center;
  display: block;
}
.footer a {
  font-size: 10px;
  line-height: 12px;
  color: #6c638d;
}
footer p.arab {
  text-align: right;
}
footer a.arab,
footer p.arab {
  font-size: 14px;
}
.error,
.error.black,
.error.white,
.error.yellow {
  margin: 0 auto 10px;
  max-width: 280px;
  font-size: 14px;
  line-height: 20px;
  margin-top: 10px;
  color: #fff;
  border: 1px solid #fff;
  background: #e61a2b;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  padding: 5px;
}
.error:empty {
  display: none;
}
.error.white {
  color: #fff;
  border: 1px solid #fff;
}
.error.yellow {
  color: #efec00;
  border: 1px solid #efec00;
}
.error.black {
  color: #000;
  border: 1px solid #000;
}
#error:empty {
  border: none;
  display: none;
}
.hidden {
  display: none;
}

.terms-links {
  margin-top: 20px;
}
.terms-links button {
  border: 0;
  background-color: none;
  background: none;
  text-align: center;
  color: var(--gray);
  margin: 0 auto;
  font-size: 12px;
  line-height: 18px;
  text-decoration: underline;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 2; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
  h3,
  p {
    color: #000;
    line-height: 1.3;
    font-weight: 400;
    font-size: 14px;
  }
}

/* Modal Content */
.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  border-radius: 15px;
  width: 80%;
  height: 80%;
  overflow-y: scroll;
}

/* The Close Button */
.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.shake {
  position: relative;
  -webkit-animation: 3.5s infinite shake-animation;
  animation: 3.5s infinite shake-animation;
  transform-origin: 50% 50%;
}
@-webkit-keyframes shake-animation {
  0%,
  10.71429%,
  100%,
  3.57143%,
  7.14286% {
    transform: translate(0, 0);
  }
  1.78571%,
  5.35714%,
  8.92857% {
    transform: translate(5px, 0);
  }
}
@keyframes shake-animation {
  0%,
  10.71429%,
  100%,
  3.57143%,
  7.14286% {
    transform: translate(0, 0);
  }
  1.78571%,
  5.35714%,
  8.92857% {
    transform: translate(5px, 0);
  }
}
